Main Page Packages Class Hierarchy Compound List File List Compound Members

# processinginstructiongetdata Class Reference

Inherits DOMTestCase.

List of all members.

## Public Methods
| processinginstructiongetdata (DOMTestDocumentBuilderFactory factory)
void | runTest () throws java.lang.Throwable
String | getTargetURI ()
## Static Public Methods
void | main (String[] args)

## Detailed Description

The "getData()" method returns the content of the processing instruction. It starts at the first non white character following the target and ends at the character immediately preceding the "?>".

Retrieve the ProcessingInstruction node located immediately after the prolog. Create a nodelist of the child nodes of this document. Invoke the "getData()" method on the first child in the list. This should return the content of the ProcessingInstruction.

Author:
  NIST , Mary Brady

See also:
  http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-837822393

Definition at line 48 of file processinginstructiongetdata.java.

## Constructor & Destructor Documentation

processinginstructiongetdata::processinginstructiongetdata | ( | DOMTestDocumentBuilderFactory | factory | ) | `[inline]`

| Definition at line 50 of file processinginstructiongetdata.java.
    00051  {
    00052       super(factory);
    00053
    00054    }

## Member Function Documentation

String processinginstructiongetdata::getTargetURI | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTest. Definition at line 68 of file processinginstructiongetdata.java.
    00068                                 {
    00069       return "http://www.w3.org/2001/DOM-Test-Suite/level1/core/processinginstructiongetdata";
    00070    }

void processinginstructiongetdata::main | ( | String | args[] | ) | `[inline, static]`

| Definition at line 71 of file processinginstructiongetdata.java. References DOMTestCase::doMain().
    00071                                           {
    00072         DOMTestCase.doMain(processinginstructiongetdata.class,args);
    00073    }

void processinginstructiongetdata::runTest | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTestCase. Definition at line 56 of file processinginstructiongetdata.java. References DOMTestCase::assertEquals(), and DOMTest::load().
    00056                                                     {
    00057       Document doc;
    00058       NodeList childNodes;
    00059       ProcessingInstruction piNode;
    00060       String data;
    00061       doc = load("staff");
    00062       childNodes = doc.getChildNodes();
    00063       piNode = (ProcessingInstruction)childNodes.item(0);
    00064       data = piNode.getData();
    00065       assertEquals("processinginstructionGetTargetAssert","PIDATA",data);
    00066
    00067    }

The documentation for this class was generated from the following file:

- processinginstructiongetdata.java